## Espectrogram, an FFT-movil example aplied to signal by parts.

# Description

Espectogram is an algorit programted for octave, and may be works in matlab.
In this case, wee will apli this method to signal made by parts with some
trigonometrics functions and heaviside distribution, But is aplicable to
an other tipos of signals.

I made the source code for a publush (in matlab or octave ->
publish('filename','format','html'), html wotks fine for me, but yu can do
this for tex, pdf and others![file name is an octave,matlab file for example
EXAMPLE_FILE.m or otherfile.m etc] )

The objetive is see how the velocity of windows (that it doing the FFT) afect
the result of the FFT

# Requeriments
OBS: I work on debian 9.xx, but if you know what are you doing in ther plata-
forms, you will don't have any problem.
wee will need:
- Octave (in my situation, 4.0.3, version from 2016)(newer verson may works)
- liboctave-dev (for use pkg, alternativl you can instal by apt in linuxs
  sistems)
- libreries: octave-signal, octave-specfun
(install the with sudo apt install octave-signal octave-specfun)
(in octave: 'pkg install -forge signal specfun'(run octave as a dministrator))

- and 'espectrograma.m' dowload it with:
  'git clone https://gitlab.com/kas.cesar/FFTmovil'
check if your Octave is redy for publish.
